During the installation of P-touch Editor 5.1, the message "uninstall the previous version of the software" appears.

Image

 

 

If you have the previous version of P-touch Editor 5.1 installed on your computer, this message appears. Click [OK] to continue the installation. It will uninstall ONLY the previous version of P-touch Editor 5.0 or 5.1, and will NOT uninstall P-touch Editor 4.2.

If your question was not answered, have you checked other FAQs?

Have you checked manuals?

If you need further assistance, please contact Brother customer service:

Related Models

PT-1230PC, PT-18R, PT-18RKT, PT-1950, PT-1960, PT-2100, PT-2110, PT-2430PC, PT-2600, PT-2610, PT-2700, PT-2710, PT-2730, PT-3600, PT-7600, PT-9500PC, PT-9600, PT-9700PC, PT-9800PCN, QL-1050, QL-1050N, QL-1060N, QL-500, QL-550, QL-570, QL-570VM, QL-580N, QL-650TD, QL-700, RJ-4030, RJ-4040, TD-4000, TD-4100N

Content Feedback

To help us improve our support, please provide your feedback below.

Step 1: How does the information on this page help you?

Step 2: €Are there any comments you would like to add?

Please note this form is used for feedback only.